package com.jinhaiqimeng.sysManageMicroservice.web.controller;


import com.jinhaiqimeng.sysManageMicroservice.result.ResponseResult;
import com.jinhaiqimeng.sysManageMicroservice.web.dto.IdDTO;
import com.jinhaiqimeng.sysManageMicroservice.web.dto.PushMessageListDTO;
import com.jinhaiqimeng.sysManageMicroservice.web.dto.PushMessageSaveDTO;
import com.jinhaiqimeng.sysManageMicroservice.web.dto.PushMessageUpdateDTO;
import com.jinhaiqimeng.sysManageMicroservice.web.entity.PushMessage;
import com.jinhaiqimeng.sysManageMicroservice.web.service.PushMessageService;
import com.jinhaiqimeng.sysManageMicroservice.web.vo.PushMessageVO;
import com.jinhaiqimeng.sysManageMicroservice.web.vo.common.BaseListDTO;
import com.jinhaiqimeng.sysManageMicroservice.web.vo.common.ListVO;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 消息推送表 前端控制器
 * </p>
 *
 * @author zp
 * @since 2023-12-07
 */
@RestController
@RequestMapping("/push-message")
public class PushMessageController {
    @Autowired
    private PushMessageService pushMessageService;

    @RequestMapping(value = "/list",method = RequestMethod.POST)
    @ApiOperation("消息推送列表查询")
    public ResponseResult<ListVO<PushMessage>> list(@RequestBody PushMessageListDTO dto){
        return pushMessageService.pushMessageList(dto);
    }

    @RequestMapping(value = "/save",method = RequestMethod.POST)
    @ApiOperation("保存消息推送")
    public ResponseResult save(@RequestBody PushMessageSaveDTO dto){
        return pushMessageService.savePushMessage(dto);
    }

    @RequestMapping(value = "/get",method = RequestMethod.POST)
    @ApiOperation("查看消息推送")
    public ResponseResult<PushMessageVO> save(@RequestBody IdDTO dto){
        return pushMessageService.getPushMessage(dto);
    }

    @RequestMapping(value = "/update",method = RequestMethod.POST)
    @ApiOperation("更新消息推送")
    public ResponseResult update(@RequestBody PushMessageUpdateDTO dto){
        return pushMessageService.updatePushMessage(dto);
    }

    @RequestMapping(value = "/enable",method = RequestMethod.POST)
    @ApiOperation("启用消息推送")
    public ResponseResult enable(@RequestBody IdDTO dto){
        return pushMessageService.enable(dto);
    }

    @RequestMapping(value = "/stop",method = RequestMethod.POST)
    @ApiOperation("停用消息推送")
    public ResponseResult stop(@RequestBody IdDTO dto){
        return pushMessageService.stop(dto);
    }

    @RequestMapping(value = "/delete",method = RequestMethod.POST)
    @ApiOperation("删除消息推送")
    public ResponseResult delete(@RequestBody IdDTO dto){
        return pushMessageService.delete(dto);
    }
}
