package com.jinhaiqimeng.sysManageMicroservice.web.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 消息推送表
 * </p>
 *
 * @author zp
 * @since 2023-12-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("t_sysmanage_microservice_push_message")
@ApiModel(value="PushMessage对象", description="消息推送表")
public class PushMessage extends Model<PushMessage> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "f_id", type = IdType.ASSIGN_ID)
    private Long id;

    @ApiModelProperty(value = "消息描述")
    @TableField("f_message_description")
    private String messageDescription;

    @ApiModelProperty(value = "消息操作时间")
    @TableField("f_message_operation_time")
    private LocalDateTime messageOperationTime;

    @ApiModelProperty(value = "消息推送状态1已推送2末推送")
    @TableField("f_message_push_status")
    private Integer messagePushStatus;

    @ApiModelProperty(value = "消息推送时间")
    @TableField("f_message_push_time")
    private LocalDateTime messagePushTime;

    @ApiModelProperty(value = "消息状态1启用2停用")
    @TableField("f_message_status")
    private Integer messageStatus;

    @ApiModelProperty(value = "消息标题")
    @TableField("f_message_title")
    private String messageTitle;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
