package com.jinhaiqimeng.sysManageMicroservice.web.service;

import com.jinhaiqimeng.sysManageMicroservice.result.ResponseResult;
import com.jinhaiqimeng.sysManageMicroservice.web.dto.IdDTO;
import com.jinhaiqimeng.sysManageMicroservice.web.dto.PushMessageListDTO;
import com.jinhaiqimeng.sysManageMicroservice.web.dto.PushMessageSaveDTO;
import com.jinhaiqimeng.sysManageMicroservice.web.dto.PushMessageUpdateDTO;
import com.jinhaiqimeng.sysManageMicroservice.web.entity.PushMessage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jinhaiqimeng.sysManageMicroservice.web.vo.PushMessageVO;
import com.jinhaiqimeng.sysManageMicroservice.web.vo.common.ListVO;

/**
 * <p>
 * 消息推送表 服务类
 * </p>
 *
 * @author zp
 * @since 2023-12-07
 */
public interface PushMessageService extends IService<PushMessage> {

    ResponseResult<ListVO<PushMessage>> pushMessageList(PushMessageListDTO dto);

    ResponseResult savePushMessage(PushMessageSaveDTO dto);

    ResponseResult<PushMessageVO> getPushMessage(IdDTO dto);

    ResponseResult updatePushMessage(PushMessageUpdateDTO dto);

    ResponseResult enable(IdDTO dto);

    ResponseResult stop(IdDTO dto);

    ResponseResult delete(IdDTO dto);
}
